package com.bizmatics.mhfire.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-11-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ZskTeam implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String name;

    private Integer parentid;

    private LocalDate created;

    private LocalDate updated;

    private String xfjgId;

    /**
     * 机构类型（0：支队，1：大队，2：中队）
     */
    @TableField("orgType")
    private BigDecimal orgType;

    /**
     * 1 浦东 2 闵行
     */
    private Integer flag;


}
